Bug 872955 - generated pots give independent string to orgname tag
Summary: generated pots give independent string to orgname tag
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: publican
Version: 2.8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: 3.2
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-04 15:49 UTC by Pete Travis
Modified: 2013-08-09 04:46 UTC (History)
5 users (show)

Fixed In Version: 3.2.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-08-09 04:46:56 UTC


Attachments (Terms of Use)

Description Pete Travis 2012-11-04 15:49:11 UTC
Description of problem:

I've created pot files using `publican update_pot` for the Fedora Release notes.  A translator pointed out that <orgname> tags were breaking the flow of content in the po files. As an example, this paragraph:

<para>
              <emphasis><productname>KDE Games</productname></emphasis>: <productname>KDE Games</productname> have been upgraded. There has been a lot of polish to <application>Kajongg</application>, the <productname>KDE</productname> Mahjongg game, including tooltip playing hints, improved robot AI and chat if players are on the same server (<orgname>kajongg.org</orgname> now has one!). <application>KGoldrunner</application> has a number of new levels (a contribution by Gabriel Miltschitzky) and <application>KPatience</application> retains game history upon saving. <application>KSudoku</application> has seen small improvements such as better hints, as well as seven new two-dimensional puzzle shapes and three new 3-D shapes.
</para>

Generates these strings:

#. Tag: para
#, no-c-format
msgid "<emphasis></emphasis>: <productname>KDE Games</productname> have been upgraded. There has been a lot of polish to <application>Kajongg</application>, the <productname>KDE</productname> Mahjongg game, including tooltip playing hints, improved robot AI and chat if players are on the same server ("
msgstr ""

#. Tag: orgname
#, no-c-format
msgid "kajongg.org"
msgstr ""

#. Tag: para
#, no-c-format
msgid "now has one!). <application>KGoldrunner</application> has a number of new levels (a contribution by Gabriel Miltschitzky) and <application>KPatience</application> retains game history upon saving. <application>KSudoku</application> has seen small improvements such as better hints, as well as seven new two-dimensional puzzle shapes and three new 3-D shapes."
msgstr ""


This makes translation difficult, giving the <orgname> a fixed or unknown position in the middle of a sentence. The flow of translation would be much smoother if the <orgname> were presented inline.

Version-Release number of selected component (if applicable):

[pete@archimedes (master) release-notes]$ rpm -qi publican
Name        : publican
Version     : 2.8
Release     : 2.fc17
Architecture: noarch

Comment 1 Ruediger Landmann 2013-04-17 01:13:08 UTC
Moving upstream.

Comment 2 Jeff Fearn 🐞 2013-07-08 05:39:12 UTC
To ssh://git.fedorahosted.org/git/publican.git
   04b181c..ce73fc0  HEAD -> devel

Comment 4 HSS Product Manager 2013-07-08 05:48:26 UTC
HSS-QE has reviewed and declined this request. QE for this bug will be handled by IED.

Comment 5 Petr Bokoc 2013-07-22 15:15:06 UTC
The <orgname> tag is now being correctly shown inline in POT files generated by publican.

Verified in publican-3.1.5-0.fc17.t62.noarch.

Comment 6 Jeff Fearn 🐞 2013-08-09 04:46:56 UTC
The fix for this bug has been shipped in publican 3.2.0


Note You need to log in before you can comment on or make changes to this bug.